# Contributing to this project

In order to help the community get started as we hopefully grow. A few examples of concerns are listed underneath. 
This needs to be completed as the project evolves. 

# Styleguides

## Git Commit Messages
Use the present tense ("Add feature" not "Added feature")
Use the imperative mood ("Move cursor to..." not "Moves cursor to...")
Limit the first line to 72 characters or less
Reference issues and pull requests liberally after the first line
When only changing documentation, include [ci skip] in the commit title
Start the commit message with an applicable [emoji](https://gitmoji.dev/)

# Contribution

## First Contribution
Unsure where to begin contributing? 
- You can start by looking through these beginner and help-wanted issues:
   * Beginner issues - issues which should only require a few lines of code, and a test or two.
   * Help wanted issues - issues which should be a bit more involved than beginner issues.
   * Both issue lists are sorted by total number of comments. While not perfect, number of comments is a reasonable proxy for impact a given change will have.

## Code Contribution Guideline
This repository is currently a private repository and thus have no ability to apply rules for commits. Thus everyone is urged to not commit directly to main and use a feature branch instead. The feature branched are names with "feature/\<feature>". Please use a pull-request from the feature branch as the way to merge to main - an appointed person such as tal@netic.dk should be reviewing the contribution targetted for the merge. Please ensure that the code has been proofed and tested before the pre-merge review using the pull-request.

## Guideline Contributions
Improvements to the Guidelines in this repository are welcome, e.g. create an issue with the suggested improvement or added guideline.

## Reviews
Every single PR is reviewd and the purpose of reviews is to create the best possible features. Reviews must be constructive and informative - they should motivate the contributors and facilitate future contributions.

:yellow_heart: Reviews are always respectful, acknowledging that everyone did the best possible job with the knowledge they had at the time.

:yellow_heart: Reviews discuss content, not the person who created it.

:yellow_heart: Reviews are constructive and start conversation around feedback.

## Self review
You should always review your own PR first.

For changes, make sure that you:
- [ ] have your contribution on a branch named with "feature/\<feature>" and \<feature> is a meaningful feature.
- [ ] have looked through your contribution for spelling, naming, compositional clarity, build, test, coverage and documentation.

### Pull request information
When you open a pull request, please fill out the "information" template before submitting the PR. If you have special concerns for a particular reviewer please state that in a comment.